Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class UtilizationModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.UtilizationModel

All Implemented Interfaces:
  `Serializable`

    public class UtilizationModel
    extends BaseModel

See Also:
  Serialized Form

### Field Summary

Fields
`double` `cpuUsage`
`double` `memoryUsage`
`LocalDateTime` `timestamp`
`Long` `workerId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`UtilizationModel()`
`UtilizationModel​(double cpuUsage, double memoryUsage)`
`UtilizationModel​(Long workerId, double cpuUsage, double memoryUsage)`
`UtilizationModel​(Long id, Long workerId, LocalDateTime timestamp, double cpuUsage, double memoryUsage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### workerId

    public Long workerId

#### timestamp

    public LocalDateTime timestamp

#### cpuUsage

    public double cpuUsage

#### memoryUsage

    public double memoryUsage

### Constructor Detail

#### UtilizationModel

    public UtilizationModel()

#### UtilizationModel

    public UtilizationModel​(double cpuUsage,
                            double memoryUsage)

#### UtilizationModel

    public UtilizationModel​(Long workerId,
                            double cpuUsage,
                            double memoryUsage)

#### UtilizationModel

    public UtilizationModel​(Long id,
                            Long workerId,
                            LocalDateTime timestamp,
                            double cpuUsage,
                            double memoryUsage)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`